unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeeComma,
  VCLTee.TeEngine, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, Vcl.StdCtrls,
  VCLTee.Series, VCLTee.TeCanvas, VCLTee.TeeSurfa;

type
  TForm1 = class(TForm)
    TeeCommander1: TTeeCommander;
    Button1: TButton;
    Image1: TImage;
    Image2: TImage;
    Chart1: TChart;
    ScreenSeries: TColorGridSeries;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  bmp: TBitmap;
  mtf: TMetafile;
  tmp: String;
begin

  tmp:=Chart1.Title.Text[0];
  Chart1.Title.Text[0]:='Bitmap';
  bmp:=Chart1.TeeCreateBitmap(clNone, Chart1.ChartBounds);
  Image1.Picture.Bitmap:=bmp;
  bmp.SaveToFile('blurred.bmp');

  Chart1.Title.Text[0]:='Metafile';
  mtf:=Chart1.TeeCreateMetafile(True, Chart1.ChartBounds);
  Image2.Picture.Metafile:=mtf;
  mtf.SaveToFile('non-blurred.emf');

  Chart1.Title.Text[0]:=tmp;

(*  Chart1.Canvas:=TGDIPlusCanvas.Create;   I never return to the new Canvas*)
end;

procedure TForm1.FormCreate(Sender: TObject);
var I: Integer;
begin

(*  Chart1.Canvas:=TTeeCanvas3D.Create;   activate this line to see the bug   *)
  with ScreenSeries do
  begin
    Clear;
    for I:= 0 to 20 do
      AddXYZ(I, I, I);
    UsePalette:= true;
  end; {with ScreenSeries}


end;

end.
